Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.session
Class ManagerBase.SessionTiming

    java.lang.Object
      org.apache.catalina.session.ManagerBase.SessionTiming

Enclosing class:
  ManagerBase

    protected static final class ManagerBase.SessionTiming

extends Object

Constructor Summary
`ManagerBase.SessionTiming(long timestamp, int duration)`

Method Summary
`int` | `getDuration()` Duration associated with this piece of timing information in seconds.
`long` | `getTimestamp()` Time stamp associated with this piece of timing information in milliseconds.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagerBase.SessionTiming

    public ManagerBase.SessionTiming(long timestamp,
                                     int duration)

Method Detail

### getTimestamp

    public long getTimestamp()

  Time stamp associated with this piece of timing information in milliseconds.

### getDuration

    public int getDuration()

  Duration associated with this piece of timing information in seconds.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.